Kerbal Space Program - Bug #5146

Crash on forced change in symetry mode
06/18/2015 10:47 PM - Tarmack

Status: Duplicate Start date: 06/18/2015
Severity: Normal % Done: 100%
Assignee:

Category: Gameplay

Target version:

Version: 1.0.2 Language: English (US)
Platform: Linux Mod Related: No
Expansion:

Description

There is an issue with the forced symmetry mode when attaching parts to objects that were placed with a certain symmetry mode. |
have for instance experienced this issue with adding nose cones to a triple booster setup and am now seeing the issue again on a
rocket that has four external fuel tanks. When | try to attach parts to the fuel tanks with the correct symmetry (4 radial) pre-set it
works fine but when the symmetry mode is set to another value the VAB is forcing the symmetry to four but before is can show me
the game hangs for a moment and then disappears.

Unfortunately the logs do not seem to show any errors, | include one here anyway. At the end of the log you can see me successfully
adding some nose cones with the correct symmetry pre-set and then removing them again. What you don't see is me trying to add
them again but letting the VAB force the symmetry and subsequently crash.

This whole thing would not be so bad if this was all. Just pre-setting the symmetry mode before attaching parts is an annoyance but
not too bad. The main issue is actually when you want to attach somewhere else and accidentally touch the wrong part.. boom game
gone and all of you tediously build craft.

Related issues:
Related to Kerbal Space Program - Bug #1005: Linux version crashes in VAB at ... Closed 07/14/2013

History

#1 - 06/19/2015 12:46 PM - Tarmack

Testing again | noticed that after the game hangs for a second, the symmetry indicator does actually change to the correct symmetry mode just before
the crash.

#2 - 11/20/2015 01:10 PM - sal_vager

- Related to Bug #1005: Linux version crashes in VAB at certain times when using symmetry added

#3 - 11/20/2015 01:12 PM - sal_vager
- Status changed from New to Duplicate

- % Done changed from 0 to 100

Duplicate of #1005

Files

KSP.log 179 KB 06/18/2015 Tarmack
